%{?nodejs_find_provides_and_requires}

%global packagename chai-fs
%global enable_tests 1

Name:		nodejs-chai-fs
Version:	2.0.0
Release:	3%{?dist}
Summary:	Chai assertions for Node.js filesystem

License:	MIT
URL:		https://github.com/chaijs/chai-fs.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source2:	docs-%{version}.tar.bz2
Source10:	dl-tests.sh


BuildArch:	noarch
ExclusiveArch: %{nodejs_arches} noarch

BuildRequires:	nodejs-packaging
BuildRequires:	npm(bit-mask)
BuildRequires:	npm(readdir-enhanced)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(chai)
BuildRequires:	npm(chai-json-schema)
BuildRequires:	npm(del)
BuildRequires:	npm(mkdirp)
BuildRequires:	npm(touch)
BuildRequires:	npm(underscore)
%endif

%description
Chai assertions for Node.js filesystem


%prep
%autosetup -n package
# setup the tests and docs
%autosetup -T -D -a 1 -n package
%autosetup -T -D -a 2 -n package

%nodejs_fixdep readdir-enhanced '^2.2.1'

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
NODE_ENV=test %{_bindir}/mocha -R spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md docs/
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Apr 21 2018 Jared K. Smith <jsmith@fedoraproject.org> - 2.0.0-1
- Initial packaging
